#include<iostream>
#include<cmath>
using namespace std;
int brc(long long a)
{
	int i=0;
	while(a>0)
	{
		i++;
		a/=10;
	}
	return i;
}
int main()
{
	int a,b,c;
	long long s=0,smax=0;
	cin>>a>>b>>c;
	
	s=c+b*pow(10,brc(c))+a*pow(10,brc(c)+brc(b));
	if(s>smax)smax=s;

		s=c+a*pow(10,brc(c))+b*pow(10,brc(a)+brc(c));
	if(s>smax)smax=s;

		s=a+b*pow(10,brc(a))+c*pow(10,brc(a)+brc(b));
	if(s>smax)smax=s;

		s=a+c*pow(10,brc(a))+b*pow(10,brc(a)+brc(c));
	if(s>smax)smax=s;

		s=b+a*pow(10,brc(b))+c*pow(10,brc(a)+brc(b));
	if(s>smax)smax=s;

		s=b+c*pow(10,brc(b))+a*pow(10,brc(c)+brc(b));
	if(s>smax)smax=s;

	cout<<smax;
}